Package org.drinkless.tdlib

# Class TdApi.UpgradedGiftValueInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.UpgradedGiftValueInfo

Enclosing class:
  `TdApi`

public static class TdApi.UpgradedGiftValueInfo extends TdApi.Object
Contains information about value of an upgraded gift.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `averageSalePrice`
  The average sale price in the last month of gifts upgraded from the same gift; in the smallest units of the currency; 0 if there were no such sales.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `currency`
  ISO 4217 currency code of the currency in which the prices are represented.
  `int`
  `fragmentListedGiftCount`
  Number of gifts upgraded from the same gift being resold on Fragment.
  `String`
  `fragmentUrl`
  The HTTPS link to the Fragment for the gift; may be empty if there are no such gifts being sold on Fragment.
  `int`
  `initialSaleDate`
  Point in time (Unix timestamp) when the corresponding regular gift was originally purchased.
  `long`
  `initialSalePrice`
  Initial price of the gift; in the smallest units of the currency.
  `long`
  `initialSaleStarCount`
  The Telegram Star amount that was paid for the gift.
  `boolean`
  `isLastSaleOnFragment`
  True, if the last sale was completed on Fragment.
  `boolean`
  `isValueAverage`
  True, if the value is calculated as average value of similar sold gifts.
  `int`
  `lastSaleDate`
  Point in time (Unix timestamp) when the upgraded gift was purchased last time; 0 if never.
  `long`
  `lastSalePrice`
  Last purchase price of the gift; in the smallest units of the currency; 0 if the gift has never been resold.
  `long`
  `minimumPrice`
  The current minimum price of gifts upgraded from the same gift; in the smallest units of the currency; 0 if there are no such gifts.
  `int`
  `telegramListedGiftCount`
  Number of gifts upgraded from the same gift being resold on Telegram.
  `long`
  `value`
  Estimated value of the gift; in the smallest units of the currency.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpgradedGiftValueInfo()`
  Contains information about value of an upgraded gift.
  `UpgradedGiftValueInfo(String currency, long value, boolean isValueAverage, int initialSaleDate, long initialSaleStarCount, long initialSalePrice, int lastSaleDate, long lastSalePrice, boolean isLastSaleOnFragment, long minimumPrice, long averageSalePrice, int telegramListedGiftCount, int fragmentListedGiftCount, String fragmentUrl)`
  Contains information about value of an upgraded gift.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### currency

    public String currency
    ISO 4217 currency code of the currency in which the prices are represented.

  - ### value

    public long value
    Estimated value of the gift; in the smallest units of the currency.

  - ### isValueAverage

    public boolean isValueAverage
    True, if the value is calculated as average value of similar sold gifts. Otherwise, it is based on the sale price of the gift.

  - ### initialSaleDate

    public int initialSaleDate
    Point in time (Unix timestamp) when the corresponding regular gift was originally purchased.

  - ### initialSaleStarCount

    public long initialSaleStarCount
    The Telegram Star amount that was paid for the gift.

  - ### initialSalePrice

    public long initialSalePrice
    Initial price of the gift; in the smallest units of the currency.

  - ### lastSaleDate

    public int lastSaleDate
    Point in time (Unix timestamp) when the upgraded gift was purchased last time; 0 if never.

  - ### lastSalePrice

    public long lastSalePrice
    Last purchase price of the gift; in the smallest units of the currency; 0 if the gift has never been resold.

  - ### isLastSaleOnFragment

    public boolean isLastSaleOnFragment
    True, if the last sale was completed on Fragment.

  - ### minimumPrice

    public long minimumPrice
    The current minimum price of gifts upgraded from the same gift; in the smallest units of the currency; 0 if there are no such gifts.

  - ### averageSalePrice

    public long averageSalePrice
    The average sale price in the last month of gifts upgraded from the same gift; in the smallest units of the currency; 0 if there were no such sales.

  - ### telegramListedGiftCount

    public int telegramListedGiftCount
    Number of gifts upgraded from the same gift being resold on Telegram.

  - ### fragmentListedGiftCount

    public int fragmentListedGiftCount
    Number of gifts upgraded from the same gift being resold on Fragment.

  - ### fragmentUrl

    public String fragmentUrl
    The HTTPS link to the Fragment for the gift; may be empty if there are no such gifts being sold on Fragment.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpgradedGiftValueInfo

    public UpgradedGiftValueInfo()
    Contains information about value of an upgraded gift.

  - ### UpgradedGiftValueInfo

    public UpgradedGiftValueInfo(String currency, long value, boolean isValueAverage, int initialSaleDate, long initialSaleStarCount, long initialSalePrice, int lastSaleDate, long lastSalePrice, boolean isLastSaleOnFragment, long minimumPrice, long averageSalePrice, int telegramListedGiftCount, int fragmentListedGiftCount, String fragmentUrl)
    Contains information about value of an upgraded gift.
    Parameters:
      `currency` - ISO 4217 currency code of the currency in which the prices are represented.
      `value` - Estimated value of the gift; in the smallest units of the currency.
      `isValueAverage` - True, if the value is calculated as average value of similar sold gifts. Otherwise, it is based on the sale price of the gift.
      `initialSaleDate` - Point in time (Unix timestamp) when the corresponding regular gift was originally purchased.
      `initialSaleStarCount` - The Telegram Star amount that was paid for the gift.
      `initialSalePrice` - Initial price of the gift; in the smallest units of the currency.
      `lastSaleDate` - Point in time (Unix timestamp) when the upgraded gift was purchased last time; 0 if never.
      `lastSalePrice` - Last purchase price of the gift; in the smallest units of the currency; 0 if the gift has never been resold.
      `isLastSaleOnFragment` - True, if the last sale was completed on Fragment.
      `minimumPrice` - The current minimum price of gifts upgraded from the same gift; in the smallest units of the currency; 0 if there are no such gifts.
      `averageSalePrice` - The average sale price in the last month of gifts upgraded from the same gift; in the smallest units of the currency; 0 if there were no such sales.
      `telegramListedGiftCount` - Number of gifts upgraded from the same gift being resold on Telegram.
      `fragmentListedGiftCount` - Number of gifts upgraded from the same gift being resold on Fragment.
      `fragmentUrl` - The HTTPS link to the Fragment for the gift; may be empty if there are no such gifts being sold on Fragment.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR